package net.educoder.ecsonar.model;


/**
 * @Author: youys
 * @Date: 2022/9/19
 * @Description:
 */
public class Issues {

    private Long id;
    private String kee;
    private Integer ruleId;
    private String severity;
    private String message;
    private String status;
    private String projectUuid;
    private Integer issueType;
    private byte[] locations = new byte[0];

    /**
     * bug名称
     */
    private String name;
    /**
     * bug描述
     */
    private String description;
    /**
     * 文件路径
     */
    private String path;

    /**
     * 对应file_sources表的file_uuid
     * 对应issue表的component_uuid
     */
    private String uuid;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getKee() {
        return kee;
    }

    public void setKee(String kee) {
        this.kee = kee;
    }

    public Integer getRuleId() {
        return ruleId;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public String getSeverity() {
        return severity;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProjectUuid() {
        return projectUuid;
    }

    public void setProjectUuid(String projectUuid) {
        this.projectUuid = projectUuid;
    }

    public Integer getIssueType() {
        return issueType;
    }

    public void setIssueType(Integer issueType) {
        this.issueType = issueType;
    }

    public byte[] getLocations() {
        return locations;
    }

    public void setLocations(byte[] locations) {
        this.locations = locations;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
